local text1 = "\n"+"\x83\Lose Your Mind\x80 by \x87\RitzyJuice885\x80"

print(text1,
text2)

freeslot("sfx_sanhlf", "sfx_sanqrt")

local function SANITY_BAR(v, player, cam)
	if player.mo
	and player.mo.valid
	and not (player.powers[pw_carry] == CR_NIGHTSMODE)
		local sanity = (player.mo.sanity*FRACUNIT)/85196 //1.3
		if sanity >= 50
			v.drawFill(21, 67, 12, sanity, 112, V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		if sanity <= 51 and sanity >= 25
			v.drawFill(21, 67, 12, sanity, 54, V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		if sanity <= 26
			v.drawFill(21, 67, 12, sanity, 36, V_SNAPTOTOP|V_SNAPTOLEFT)
		end
	end
end

hud.add(SANITY_BAR, "game")

addHook("PlayerSpawn", function(player)
	player.mo.sanity = 100
	player.lostmind = false
end)

addHook("PlayerThink", function(player)
	if player.mo.sanity <= 51 and player.mo.sanity >= 25
		P_StartQuake(8*FRACUNIT, 9)
		if not S_SoundPlaying(player.mo, sfx_sanqrt)
			S_StartSound(player.mo, sfx_sanqrt)
		end
	end
	if player.mo.sanity <= 26
		P_StartQuake(15*FRACUNIT, 20)
		player.target = P_LookForEnemies(player, true, true)
		if player.target
			P_HomingAttack(player.mo, player.target)
			player.lostmind = true
		end
		if not S_SoundPlaying(player.mo, sfx_sanqrt)
			S_StartSound(player.mo, sfx_sanqrt)
		end
	end
	if player.lostmind and player.mo.sanity >= 25
		player.lostmind = false
	end
	if player.lostmind and player.mo.sanity <= 26
		player.rings = 0
	end
end)

addHook("PlayerCanDamage", function(player)
	if player.lostmind
		return false
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
	if player.SanityTimer == nil then
        player.SanityTimer = 0
    end
        if player.SanityTimer >= 4 then
            player.mo.sanity = player.mo.sanity - 1
            player.SanityTimer = 0
        else
            player.SanityTimer = player.SanityTimer + 1
        end
	end
end)

addHook("TouchSpecial", function(ring, mo)
	if ring
	and ring.valid
	and ring.type == MT_RING
	and ring.health
		if mo
		and mo.player
		and mo.player.playerstate == PST_LIVE
		and not (mo.player.powers[pw_carry] == CR_NIGHTSMODE)
		and mo.sanity < 100
			mo.sanity = $1 + 1
		end
	end
end, MT_RING)